/*  Gtk+ Widget Factory
 *  Copyright (C) 1999-2000  Jeroen Benckhuijsen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef DIALOG_H
#define DIALOG_H

#ifdef __cplusplus
extern "C" {
#endif

#include <gtk/gtk.h>

/* Some standard icons in xpm-data format */

GtkWidget* 	dialog_create 			(gchar *title);
GtkWidget*	dialog_with_label_create	(gchar *title,gchar *message);
GtkWidget*	dialog_with_pixmap_label_create	(gchar *title,gchar **xpm_data,gchar *message);
GtkWidget*	dialog_with_pixmap_label_entry_create (gchar *title,gchar **xpm_data, gchar* message,GtkWidget **entry);
void 		dialog_add_button 		(GtkWidget *dialog,gchar *caption,GtkSignalFunc func,gpointer user_data);
void 		dialog_add_button_pixmap 	(GtkWidget *dialog,
   			       			 gchar** xpm_data,gchar *caption,
                                                 GtkSignalFunc func,gpointer user_data);
void		dialog_destroy_callback		(GtkButton *button,gpointer user_data);
void		dialog_destroy_gtk_main 	(GtkObject *object,gpointer user_data);


#ifdef __cplusplus
}
#endif

#endif
