/*  Gtk+ Widget Factory
 *  Copyright (C) 1999-2000  Jeroen Benckhuijsen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "gwf.h"
#include <gwf_lib.h>
#include "gwf_mainwin.h"
#include "gwf_errdlg.h"
#include <gtk/gtk.h>

/***********/
/* Plugins */
/***********/
#include <gwf_element.h>
#include <gwf_signal.h>

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#define	N_ERR			0

static GwfData			*data;
static GwfErrdlg		*errdlg;

static void		show_error		(gpointer user_data,GwfErrType type,gchar *message);

int
gwf_init (void)
{
  GwfMainWin	*mainwin;

  errdlg = gwf_errdlg_new();

  if (!gwf_data_init(&data,(GwfErrorFunc)show_error,(gpointer)NULL))
    return 0;

  /********************/
  /* Register plugins */
  /********************/

  if (!gwf_data_add_plugin(data,gwf_new_elem_plugin()))
    return 0;

  if (!gwf_data_add_plugin(data,gwf_new_signal_plugin()))
    return 0;

  /**********************/
  /* Create main window */
  /**********************/
  mainwin = GWF_MAINWIN(gwf_mainwin_new(data));
  gtk_widget_show(GTK_WIDGET(mainwin));

  return 1;
}

int
gwf_deinit (void)
{
  gwf_data_deinit(data);
  return 1;
}

static void
show_error (gpointer user_data,GwfErrType type,gchar *message)
{
  g_warning(message);
}

