/*  Gtk+ Widget Factory
 *  Copyright (C) 1999-2000  Jeroen Benckhuijsen
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef GWF_WIDPROPSIG_H
#define GWF_WIDPROPSIG_H

#ifdef __cplusplus
extern "C" {
#endif

#include <gtk/gtk.h>
#include <gwf_lib.h>

#define GWF_WIDPROP_SIG(obj)		GTK_CHECK_CAST(obj, gwf_widpropsig_get_type (), GwfWidPropSig )
#define GWF_WIDPROP_SIG_CLASS(klass)	GTK_CHECK_CLASS_CAST(klass, gwf_widpropsig_get_type (), GwfWidPropSigClass)
#define GWF_IS_WIDPROP_SIG (obj)	GTK_CHECK_TYPE(obj, gwf_widpropsig_get_type())

typedef struct _GwfWidPropSig 		GwfWidPropSig;
typedef struct _GwfWidPropSigClass	GwfWidPropSigClass;

struct _GwfWidPropSig
{
  GtkVBox	parent;
  
  GtkCList	*siglist;
  GtkEntry	*retval;
  GtkEntry	*rvtype;
  GtkEntry	*signame;
  GtkCList	*paramlist;
  GtkEntry	*type;
  GtkEntry	*paramname;
  GtkEntry	*gtktype;

  GwfProjlist	*projlist;

  gint		cursigrow;
  gint		curparamrow;
};

struct _GwfWidPropSigClass
{
  GtkWindowClass	parent_class;

};

guint		gwf_widpropsig_get_type 		(void);
GtkWidget*	gwf_widpropsig_new			(GwfProjlist *projlist);
void		gwf_widpropsig_construct		(GwfWidPropSig *wpsig,GwfProjlist *projlist);

#ifdef __cplusplus
}
#endif

#endif

